Opening Kitty 0.6.0 fails with LSOpenURLsWithRole() error message

I'm running macOS 10.11.6.

I run open -a /Applications/kitty.app after downloading the latest macOS release.

I get the following error message: LSOpenURLsWithRole() failed for the application /Applications/kitty.app with error -10825, and kitty doesn't open.

This doesn't appear in kitty 0.5.1.

Asked Jan 08 '22 19:01
avatar alok
alok

4 Answer:

I'm getting the same error using open -a kitty on macOS 10.13.2. I can launch it just fine with:

$ /Applications/kitty.app/Contents/MacOS/kitty

How is this a duplicate of #241?

1
Answered Jan 21 '18 at 05:44
avatar  of specious
specious

Read the first post, paying special attention to the version of OS X, then read https://github.com/issues/kovidgoyal/kitty/241 and it should be perfectly obvious how it is a duplicate.

1
Answered Jan 21 '18 at 07:14
avatar  of kovidgoyal
kovidgoyal

I'm running kitty 0.6.1 on macOS 10.13.2. I don't think it's a duplicate.

For some reason which I cannot fathom, I'm no longer getting this error and open -a kitty works fine. I'm not sure what I did, other than maybe reinitializing my shell since installing kitty with brew cask, but if I figure it out I'll report back.

1
Answered Jan 21 '18 at 07:33
avatar  of specious
specious

The same error happens my mac os version: 10.12.6

Successfully installed kitty into /Applications/kitty.app
LSOpenURLsWithRole() failed with error -10810 for the file /Applications/kitty.app.
"disk4" unmounted.
"disk4" ejected.

please help for this issue, I don't know how to fix this

1
Answered Dec 29 '21 at 05:25
avatar  of sharanraj124
sharanraj124